:root {
    /*--color-primary: #10895B;*/
    --color-primary: #108659;
    --color-primary-inverse: #FFF;
    --color-black: #1D1D1B;
    --color-white: #FFF;
    --color-grey: #dedede;
    /*--color-grey-medium: #818181;*/
    --color-grey-medium: #757575;
    --color-red: #ff0000;
    --color-overlay: rgba(29,29,27,0.3);
    
    --animate: 0.2s ease;
    
    --shadow: 0 0 20px 0 rgba(0,0,0,0.1);
}
*,
*:before,
*:after {
    box-sizing: border-box;
}
html, body {
    min-width: 320px;
    -ms-overflow-style:scrollbar;
}
body {
    font-family: var(--font-primary);
    font-weight: normal;
    font-size: 16px;
    line-height: 1.5;
    color: var(--color-black);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-text-size-adjust: 100%;
    min-height: 100vh;
    background: var(--color-white);
    
    display: flex;
    flex-direction: column;
}

.container {
    width: 100%;
    padding-right: 16px;
    padding-left: 16px;
    margin-right: auto;
    margin-left: auto;
}
@media screen and (min-width: 992px) {
    .container {
        max-width:992px;
    }
}
@media screen and (min-width: 1312px) {
    .container {
        max-width: 1312px;
    }
}
@media screen and (min-width: 1472px) {
    .container {
        max-width: 1472px;
    }
}

.overflow-hidden {
    overflow: hidden;
}
.hidden {
    display: none !important;
}
.invisible {
    visibility: hidden !important;
}
@media screen and (max-width: 767px) {
    .overflow-hidden_mobile {
        overflow: hidden;
    }
    .hidden_mobile {
        display: none !important;
    }
}
@media screen and (min-width: 768px) {
    .overflow-hidden_desktop {
        overflow: hidden;
    }
    .visible_mobile {
        display: none !important;
    }
}

a {
    color: var(--color-primary);
    text-decoration: none;
    transition: color var(--animate), background var(--animate), border-color var(--animate), text-decoration var(--animate);
}
a:hover {
    color: var(--color-primary)
}
img {
    display: block;
    max-width: 100%;
    height: auto;
}
button {
    cursor: pointer;
}

#header {
    flex: 0 0 auto;
    position: fixed;
    z-index: 1001;
    top: 0;
    left: 0;
    right: 0;
    min-width: 320px;
    background: var(--color-white);
}
#header.header_fixed {
    box-shadow: var(--shadow);
}
.header-inner {
    position: relative;
    display: flex;
    height: 64px;
    gap: 24px;
}
.header-logo {
    height: 100%;
    padding: 0 16px;
    flex: 0 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--color-black);
}
.header-logo__img {
    width: auto;
    height: 48px;
}
.header-link__icon {
    display: none;
}
@media screen and (min-width: 768px) {
    .header-inner {
        height: 80px;
    }
    .header-logo__img {
        height: 36px;
    }
}
@media screen and (min-width: 768px) and (max-width: 991px) {
    .header-link__text {
        display: none;
    }
    .header-link__icon {
        display: block;
    }
}
@media screen and (min-width: 992px) {
    .header-inner {
        gap: 20px;
    }
    .header-logo__img {
        height: 42px;
    }
}
@media screen and (min-width: 1312px) {
    .header-inner {
        gap: 48px;
    }
    .header-logo {
        padding: 0 40px;
    }
    .header-logo__img {
        height: 48px;
    }
}
@media screen and (min-width: 992px) and (max-width: 1311px) {
    .header-link {
        letter-spacing: 0.02em !important;
    }
}
@media screen and (min-width: 1472px) {
    .header-inner {}
}

.nav-main__wrapper {
    display: none;
}
.nav-main {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    flex: 1 1 auto;
    gap: 48px;
}
.nav-main__link {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    font-size: 12px;
    line-height: 1.3;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: var(--color-black);
    letter-spacing: 1px;
}
@media screen and (max-width: 767px) {
    .nav-main__wrapper {
        position: fixed;
        top: 64px;
        left: 0;
        right: 0;
        bottom: 0;
        background: var(--color-white);
        overflow-y: auto;
        flex-direction: column;
        align-items: flex-start;
        gap: 16px;
        padding: 40px 16px;
    }
}
@media screen and (min-width: 768px) {
    .nav-main__wrapper {
        flex: 1 1 auto;
        display: flex !important;
        opacity: 1 !important;
        gap: 20px;
        align-items: center;
    }
    .nav-main {
        display: flex;
        flex-direction: row;
        align-items: stretch;
        justify-content: flex-start;
        gap: 20px;
        height: 100%;
    }
    .nav-main__link {
        text-align: center;
        letter-spacing: 0;
        padding: 16px 0;
        height: 100%;
        max-width: 100%;
        white-space: nowrap;
    }
    .nav-main__link:hover {
        color: var(--color-primary);
    }
}
@media screen and (min-width: 992px) {
    .nav-main__wrapper {
        gap: 20px;
    }
    .nav-main__link {
        letter-spacing: 1px;
    }
}
@media screen and (min-width: 992px) and (max-width: 1311px) {
    .nav-main__link {
        letter-spacing: 0.02em;
    }
}
@media screen and (min-width: 1312px) {
    .nav-main__wrapper {
        gap: 40px;
    }
    .nav-main {
        gap: 48px;
    }
}
@media screen and (min-width: 1472px) {
    .nav-main__link {}
}

.toggle-item {
    width: 48px;
    height: 48px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 8px;
    gap: 6px;
    border: none;
    background: none;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(0,-50%);
}
.toggle-item__line {
    width: 100%;
    height: 2px;
    background: var(--color-black);
    position: relative;
    border-radius: 5px;
    transition: transform var(--animate), opacity var(--animate), background-color var(--animate);
}
.toggle-item_active .toggle-item__line:first-child {
    transform: rotate(45deg);
    top: 8px;
}
.toggle-item_active .toggle-item__line:last-child {
    transform: rotate(-45deg);
    top: -8px;
}
.toggle-item_active .toggle-item__line:nth-child(2) {
    opacity: 0;
    transition: opacity 0s ease, background-color 0.3s ease;
}
@media screen and (min-width: 768px) {
    .toggle-item {
        display: none;
    }
}

#main {
    flex: 1 1 auto;
    position: relative;
    padding-top: 64px;
}
@media screen and (min-width: 768px) {
    #main {
        padding-top: 80px;
    }
}